/**
*VPN App
* Defined an App to manage openvpn
*/
var VpnApp = VpnApp || {};  //Define OpenVPN App namespace.
/**
*Constructor UNAS App
*/
VpnApp.App = function () {
    this.id = 'VPN Service';
    this.name = 'VPN Service';
    this.version = '6.0.8';
    this.active = false;
    this.menuIcon = '/apps/vpn/images/logo.png?v=6.0.8&';
    this.shortcutIcon = '/apps/vpn/images/logo.png?v=6.0.8&';
    this.entryUrl = "/apps/vpn/vpn.html?v=6.0.8&"
    var self = this;
    this.VpnAppWindow = function () {
    	if(UNAS.CheckAppState('VPN Service')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'VpnAppWindow',
            title: UNAS._('VPN Service'),
            icon: '/apps/vpn/images/logo_small.png?v=6.0.8&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/vpn/vpn.html?v=6.0.8&',
            require: {  css: ['/apps/vpn/css/vpn.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("VPN Service",'VpnAppWindow')}
     	});
    };
    this.VpnUninstall = function (){
    	UNAS.RemoveDesktopShortcut('VPN Service');
    	UNAS.RemoveMenu('VPN Service');
    	UNAS.RemoveAppFromGroups('VPN Service', 'ControlPanel');
    	UNAS.RemoveAppFromApps('VPN Service');
    };
    new UNAS.Menu('UNAS_App_Internet_Menu', this.name, this.menuIcon, 'VPN Service', '', this.VpnAppWindow);
   	//new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'VPN Service', this.VpnAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Internet', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('VPN Service', UNAS._('VPN Service')); //translate menu
        //UNAS.SetShortcutTitle('VPN Service', UNAS._('VPN Service'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('VpnAppWindow', UNAS._('VPN Service'));
        }
    };
    UNAS.LoadTranslation('/apps/vpn/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name, this.shortcutIcon, this.VpnAppWindow, this.VpnUninstall);
};

new VpnApp.App();
